Subject: Re: Problem to download dependency on Ubuntu

From: Tibor Digana <[email-masked]>
Date: Tue, 28 Nov 2017 22:04:40 +0100

>>From "Failed to create parent directories"...

It is multi-module project but it does not have any parent POM. It is fully
isolated project - Microservice.

>>Local repo directory ownership/permissions?
All is done in my user home.
cd ~
git clone ...
cd ...
mvn -X -U clean

Thx
Tibor

On Tue, Nov 28, 2017 at 8:31 PM, Tamás Cservenák <[email-masked]>
wrote:

> My 5c:
> From "Failed to create parent directories"...
>
> Local repo directory ownership/permissions?
>
> HTH,
> T
>
> On Tue, Nov 28, 2017 at 7:21 PM Tibor Digana <[email-masked]>
> wrote:
>
> > The settings.xml:
> >
> > <?xml version="1.0" encoding="UTF-8"?>
> > <settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
> >           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> >           xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
> > http://maven.apache.org/xsd/settings-1.0.0.xsd">
> >
> >     <localRepository>/home/xms40/.m2/repository</localRepository>
> >
> >     <mirrors>
> >         <mirror>
> >             <id>nexus</id>
> >             <mirrorOf>*</mirrorOf>
> >             <name>Sonatype Nexus</name>
> >             <url>http://mavenrepo.ads.local/nexus/content/groups/public
> > </url>
> >         </mirror>
> >     </mirrors>
> >    <servers>
> >       <server>
> >          <id>nexus</id>
> >          <username>***</username>
> >          <password>***</password>
> >       </server>
> >    </servers>
> >
> >
> > </settings>
> >
> >
> > On Mon, Nov 27, 2017 at 10:46 PM, Nick Stolwijk <[email-masked]
> >
> > wrote:
> >
> > > Did you also configure your proxy in the settings.xml? [1]
> > >
> > > Hth,
> > >
> > > Nick
> > >
> > > [1] https://maven.apache.org/guides/mini/guide-proxies.html
> > >
> > > Nick Stolwijk
> > >
> > > ~~~ Try to leave this world a little better than you found it and, when
> > > your turn comes to die, you can die happy in feeling that at any rate
> you
> > > have not wasted your time but have done your best ~~~
> > >
> > > Lord Baden-Powell
> > >
> > > On Mon, Nov 27, 2017 at 10:22 PM, Tibor Digana <[email-masked]
> >
> > > wrote:
> > >
> > > > My command *mvn clean* is not able to download a new artifact
> > > > *org.arquillian.universe:arquillian-junit:pom*
> > > > however it exists on Maven Central.
> > > >
> > > > I run the command on Ubuntu Konsole, and nothing is downloaded.
> > > > When I run wget [1] from the same Konsole, the POM is downloaded.
> > > >
> > > > The settings.xml is not a problem, I checked. There is a mirror of
> > > central
> > > > and URL of Nexus in company.
> > > >
> > > > Is there any native difference between wget and mvn/Java on Ubuntu so
> > > that
> > > > the remote mavenrepo may not be reached?
> > > > I did setup of /etc/environment, /etc/network/interface, ~/.profile
> due
> > > to
> > > > proxy, DNS, http_no_proxy, etc. but nothing helps.
> > > >
> > > > Any hint would be helpful here.
> > > > MAVEN and JAVA_OPTS is not set.
> > > >
> > > > [1]: wget
> > > > http://mavenrepo.ads.local/nexus/content/groups/public/
> > > > org/arquillian/arquillian-universe/1.1.13.7/arquillian-
> > > > universe-1.1.13.7.pom
> > > >
> > > > Thx
> > > > Tibor
> > > >
> > >
> >
> --
> Thanks,
> ~t~
>